Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.example.com/api/v1/devices/proxy/test \ --header 'Content-Type: application/json' \ --data ' { "enabled": false, "proxy_url": "<string>" } '
import requestsurl = "https://api.example.com/api/v1/devices/proxy/test"payload = { "enabled": False, "proxy_url": "<string>"}headers = {"Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({enabled: false, proxy_url: '<string>'})};fetch('https://api.example.com/api/v1/devices/proxy/test', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "success": true, "response_time_ms": 123, "message": "<string>", "error": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Probe HTTP/SOCKS5 proxy reachability before linking a device.
Request to test proxy reachability before linking a device.
Proxy URL such as "http://host:port [blocked]" or "socks5://user:pass@host:port".
512
Successful Response
Response from a pre-link proxy reachability check.